\resizebox{\columnwidth}{!}{%
    \begin{tikzpicture}[
        roundnode/.style={circle, draw=black, fill=black, very thick, minimum size=1pt,},
        ignorednode/.style={circle, draw=black!20, fill=black!20, very thick, minimum size=1pt,},
        arrow/.style={|->, thick,},
        message/.style={->, blue!50, dashed, -{Circle[length=4pt,]}},
        ]

        \node[roundnode, color=red] (11) {};
        \node[above] at (11.north) {$w(1)$};
        \node[roundnode, color=red!50] (12) [right=of 11] {};
        \node[above] at (12.north) {$r/(3,1)$};
        \node[roundnode, color=red!25] (13) [right=of 12] {};
        \node[above] at (13.north) {$r/(1,2)^\omega$};

        \draw[arrow] (11) -- (12);
        \draw[arrow] (12) -- (13);

        \node[roundnode, color=green!75!black] (21) [below=20pt of 11] {};
        \node[left] at (21.west) {$r/(0,0)$};
        \node[roundnode, color=green!95!black] (22) [right=of 21] {};
        \node[right] at (22.east) {$w(2)$};

        \draw[arrow] (21) -- (22);

        \node[roundnode, color=blue] (31) [below=20pt of 21] {};
        \node[below] at (31.south) {$w(3)$};
        \node[roundnode, color=blue!50] (32) [right=of 31] {};
        \node[below] at (32.south) {$r/(1,3)$};
        \node[roundnode, color=blue!25] (33) [right=of 32] {};
        \node[below] at (33.south) {$r/(3,2)^\omega$};

        \draw[arrow] (31) -- (32);
        \draw[arrow] (32) -- (33);

        \draw[message] (11) -- (31);
        \draw[message] (31) -- (12);
        \draw[message] (22) -- (13);
        \draw[message] (22) -- (33);
    \end{tikzpicture}
}